# UTC Time

If you are running running the Surveyor while connected to SonarLink, [here is the easiest method for getting accurate time](/c/sonarview/utc-time.md).<br>

If your application does not support running SonarLink with the Surveyor, you can configure the Surveyor to use a specific NTP server for accurate UTC time. To do this, ensure you have access to an NTP server and send a [SET\_NET\_INFO](/c/surveyor-240-16/application-programming-interface/set_net_info.md) ping packet to the Surveyor.

* If the Surveyor and the NTP server are on the same subnet, you can set both `subnet_mask` and `gateway_ip` to `0`.
* If the NTP server is on a different subnet and requires routing through a gateway, you must specify the appropriate `subnet_mask` and `gateway_ip`.

In both cases, the Surveyor will automatically synchronize its time using either SonarLink or the designated NTP server, ensuring all data is accurately timestamped with UTC time.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ceruleansonar.com/c/surveyor-240-16/utc-time.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
